WordPress.org

News

WordPress 4.9.2 Security and Maintenance Release

WordPress 4.9.2 Security and Maintenance Release


WordPress รุ่น 4.9.2 พร้อมให้ดาวน์โหลดแล้ว เป็นการรักษาความปลอดภัย และการบำรุงรักษาสำหรับทุกรุ่นตั้งแต่ 3.7 เป็นต้นไป ซึ่งเราแนะนำให้คุณอัปเดตเว็บไซต์ทันที

ช่องโหว่ Cross-Site Scripting (XSS) ถูกค้นพบบนไฟล์ Flash fallback ที่อยู่ใน MediaElement ซึ่งเป็นไลบรารี่ที่ WordPress อ้างอิงการทำงาน แต่เนื่องด้วยหลายๆส่วนไม่จำเป็นต้องเรียกใช้ไฟล์ Flash กลุ่มนั้นอีกต่อไป ดังนั้น WordPress จึงยกเลิกการใช้งานไฟล์กลุ่มดังกล่าว

MediaElement ได้ปล่อยรุ่นใหม่ออกมา ซึ่งได้มีการแก้ไขช่องโหว่ดังกล่าว สามารถดาวน์โหลด ปลั๊กอินของ WordPress ที่ผนวกไฟล์ที่ได้รับการแก้ไข ได้แล้วที่ Plugin repository

ขอขอบคุณบุคคลต่อไปนี้ที่เปิดเผย ข้อมูลความปลอดภัยที่รับผิดชอบEnguerran Gillier และ Widiz

WordPress 4.9.2 ยังได้ทำการแก้ไขจุดที่บกพร่องอีกจำนวน 21 จุด โดยเฉพาะ:

  • การแก้ไขข้อผิดพลาดของ JavaScript ที่ขัดขวางขั้นตอนการบันทึกเรื่อง เมื่อใช้งานด้วย Firefox
  • กู้ Taxonomy-agnostic behavior ของ get_category_link() และ category_description() ก่อนหน้านี้กลับคืนมา
  • กู้การตั้งค่าของวิดเจ็ตกลับคืนมา เมื่อเปลี่ยนธีม และถึงแม้ธีมนั้นจะไม่มีแถบด้านข้างก็ตาม

รายละเอียดเพิ่มเติม สามารถ อ่านรายงานปัญหาที่ได้รับการแก้ไขใน 4.9.2 ได้ที่ Codex

ดาวน์โหลด WordPress 4.9.2 หรือเข้าไปที่หน้าควบคุม อัปเดต และคลิก “อัปเดตทันที” สำหรับเว็บที่รองรับการอัปเดตอัตโนมัติแบบแบ็คกราวน์ จะได้รับการอัปเดตอัตโนมัติเรียบร้อยแล้ว

ขอบคุณทุกคนที่มีส่วนร่วมใน WordPress 4.9.2:

0x6f0, Aaron Jorbin, Andrea Fercia, Andrew Duthie, Andrew Ozz, Blobfolio, Boone Gorges, Caleb Burks, Carolina Nymark, chasewg, Chetan Prajapati, Dion Hulse, Hardik Amipara, ionvv, Jason Caldwell, Jeffrey Paul, Jeremy Felt, Joe McGill, johnschulz, Juhi Patel, Konstantin Obenland, Mark Jaquith, Nilambar Sharma, Peter Wilson, Rachel Baker, Rinku Y, Sergey Biryukov, และ Weston Ruter

ใส่ความเห็น